commit 924c310dfecbfb916f0e81c03f1142a401bed056
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri Dec 7 16:43:46 2018 -0800

    Version bumped to Version 2.0.0
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit ada903eea2e138643faa721f37737ed885363bf7
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Fri Dec 7 16:21:44 2018 -0800

    Version bumped to Version 1.6.901
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 54f0f0723d4291a23a2f1c10fcf33560f9a4340a
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Thu Dec 6 20:49:31 2018 -0800

    Remove last remnants of old Matrox HAL
    
    Apparently, commit 94bbeb132c7eda912d1b402a1a91ca7cbbf5e6a1
    missed removing a few more files related to old Matrox HAL.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b293b0956d518b2cc3833d0d2d846301fe35c0a0
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Thu Nov 29 10:41:23 2018 -0800

    Version bumped to Version 1.6.900
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit c5d295f06c83ba69811c17880e033cbd0fdb52b1
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Mon Nov 26 13:15:24 2018 -0800

    Write 8 bits instead of 32 to MGAREG_CACHEFLUSH
    
    Fixes misaligned address crash when EXA is enabled on Solaris SPARC
    (Oracle Bug id 22993744)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 11abbd45e0c93b672a7e8d5730560a6b351c7a9b
Author: Matthieu Herrb <matthieu@herrb.eu>
Date:   Mon Nov 26 21:12:05 2018 +0100

    Use fabs() to compute absolute value of floating point number.
    
    Fixes a warning from clang and looks like it was a real bug.
    
    Signed-off-by: Matthieu Herrb <matthieu@herrb.eu>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ce40b932cdced590af1c32f6f491f63e9a247dd
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Nov 26 11:03:39 2018 -0800

    Suppression of a compilation error when XAA is not in use
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 4017c6e91f8938f1f1617e53e30ee1d3d10d490c
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Nov 26 11:02:30 2018 -0800

    Convert most HAVE_XAA_H conditional compilation labels to USE_XAA
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit c5922dcc3ff26c9b1291e90ecedee35f97bc51c8
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Nov 26 11:01:33 2018 -0800

    Eliminate set but unused variables
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 8db8f6b3f323a9d9cd934172c9f4d4a93a6b7394
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Nov 26 11:00:32 2018 -0800

    Eliminate unused variables
    
    Care had to be taken to properly handle XAA usage situation
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 94c70f888b3e3b1e4c9f324f188279f276c9cbbd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 25 14:31:30 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a939aa56b3af4418d0c026a3775fde7288b0cca7
Author: Mikulas Patocka <mikulas@twibright.com>
Date:   Tue Nov 20 08:41:14 2018 -0800

    mga_drv: fix image corruption due to memcpy reordering
    
    The memcpy specification doesn't specify how the destination is written -
    and on glibc 2.19 memcpy is doing some bytewise writes with the rep stosb
    instruction. These bytewise writes confuse the hardware (because it
    expects 32-bit writes) and result in image corruption.
    
    This patch replaces memcpy with explicit writes, so that the sequential
    write order and 32-bit write size is guaranteed. We use the "volatile"
    attribute to make sure that compiler optimizations won't cause write
    reordering. When reading the memory, we use a structure with "packed"
    attribute to avoid unaligned traps on RISC machines.
    
    Tested-by: Kevin Brace <kevinbrace@gmx.com>
    Signed-off-by: Mikulas Patocka <mikulas@twibright.com>

commit 0f4883f0b8ebfd105d5cee93841bc69f0f2b60b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 18 13:25:33 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 34f37fe119f07e1e7b79964de08ac601a0753a7f
Author: Nicolas Kaiser <nikai@nikai.net>
Date:   Sun May 29 11:36:11 2011 +0200

    fix typo in MGADRIMoveBuffersXAA()
    
    Fix typo in MGADRIMoveBuffersXAA().
    
    Signed-off-by: Nicolas Kaiser <nikai@nikai.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 31544d805f99da54d5d3c658ccc137813dbde52b
Author: Mikulas Patocka <mikulas@twibright.com>
Date:   Tue Feb 13 01:43:13 2018 +0100

    mga_drv: use exa by default
    
    If the Xserver doesn't support XAA, we must turn EXA on by default -
    otherwise we end up with no acceleration at all.
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Mikulas Patocka <mikulas@twibright.com>

commit 97c801e49251ffedf0eebd0563c737318433f114
Author: Mikulas Patocka <mikulas@twibright.com>
Date:   Tue Feb 13 01:42:41 2018 +0100

    mga_drv: fix warning
    
    Fix warnings in the MGA driver. There's no functional change.
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Mikulas Patocka <mikulas@twibright.com>

commit 767c19e7142da1060586b1ff2b5e7253b6d6276b
Author: Mikulas Patocka <mikulas@twibright.com>
Date:   Tue Feb 13 01:42:27 2018 +0100

    mga_drv: fix structure definition
    
    Fix missing entry in structure definition.
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Mikulas Patocka <mikulas@twibright.com>

commit b9aab0dcb171ab936a8581d8287aac3a90652a09
Author: Mikulas Patocka <mikulas@twibright.com>
Date:   Tue Feb 13 01:42:08 2018 +0100

    mga_drv: fix a typo
    
    Fix a typo that causes dynamic symbol lookup failure and xserver crash.
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Mikulas Patocka <mikulas@twibright.com>

commit 2998868964b2f3a56b6759fd8dc4462d812dbe1a
Author: Emil Velikov <emil.velikov@collabora.com>
Date:   Mon Jul 17 11:05:57 2017 +0100

    xf86-video-mga: remove the GlxSetVisualConfigs stub and friends
    
    The function was an empty since 2008 at least. Remove it alongside the
    unused GLX visuals code.
    
    With this all the GL/GLX dependencies in the driver are gone.
    
    Cc: Mathieu Larouche <mathieu.larouche@matrox.com>
    Cc: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>
    ---
    There's a GLX reference in mga_ucode.h - a file which was seemingly
    never used since day 1. I'm not going to bother with that, since I've
    taken enough of a diversion already ;-)

commit 42fabf69c33d0e803eb661cc06217611bc3c9048
Author: Mathieu Larouche <mathieu.larouche@matrox.com>
Date:   Tue Jun 13 13:43:45 2017 -0400

    xf86-video-mga: Fix to always set HiPri for G200e4 V2
    
      - Changed the HiPri value for G200e4 to always be 0.
      - Added Bandwith limitation to block resolution above 1920x1200x60Hz
    
      - (V2): Pulled out ulMemoryBandwidth of condition so it's always initialized
            as reviewed by : Stefan Dirsch <sndirsch@suse.de>
    
    Reviewed-by: Samer El-Haj-Mahmoud <smahmoud@lenovo.com>

commit e55abc95c2b7f7cb8de73e1e21688fb5b5c08d5c
Author: Mathieu Larouche <mathieu.larouche@matrox.com>
Date:   Tue Feb 7 11:12:14 2017 -0500

    xf86-video-mga: Add support for a new G200eH3 device
    
    - Added support for the new deviceID for G200eH3
    - Added PLL algorithm for the G200eH3
    - Removed the bandwidth limitation for the G200eH3
    
    Signed-off-by: Mathieu Larouche <mathieu.larouche@matrox.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit 2ccc50072ccb70411e5e32644e74ef7c6b33f628
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:22 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit b9f57d1717fe9035d354b47e877ae110546d6f28
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0b8e81d2a435e190e1a1b81e776423d255b4cb9a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 7407e79cd62f7209a5fe0265882d0ee3d0007196
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9ae2ad4ee9b0a9ad64fec0f88b68886d7b0b8663
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 26 11:18:06 2017 +1000

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 979e0e73eb3424b6a97746e29c8b4a5b7e86196e
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Jan 17 14:40:48 2017 -0800

    xf86-video-mga 1.6.5
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit fc5d7acc23fcec9d87ca26fadf466fcf107671c0
Author: Mathieu Larouche <mathieu.larouche@matrox.com>
Date:   Wed Jul 20 09:18:49 2016 -0400

    xf86-video-mga: Add support for the new G200e chipset -- V2
    
    - Added PLL algorithm for a new rev of G200e
    - Removed the bandwidth limitation for the new G200e
    
    Fixes : https://bugs.freedesktop.org/show_bug.cgi?id=92540
    
    Change from V1 :
    - Make sure we don't cause issue on previous chips. (Dave Airlie review)
    
    Signed-off-by: Mathieu Larouche <mathieu.larouche@matrox.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 12781f2e3deb7f6d86fde53134384996a6004894
Author: Mathieu Larouche <mathieu.larouche@matrox.com>
Date:   Fri Jun 17 10:52:42 2016 -0400

    xf86-video-mga: Add support for a new G200eW3 chipset
    
    - Added support for the new deviceID for G200eW3
    - Added PLL algorithm for the G200eW3
    - Added some initialization code for G200eW3
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=92541
    
    Signed-off-by: Mathieu Larouche <mathieu.larouche@matrox.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit df094bfffe4ef097bfd9a569f2d2e35649c1a3c7
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 19 10:03:56 2016 -0400

    Adapt Block/WakeupHandler signature for ABI 23
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 72a8b5ef0bcb08d4cde7b329a13a59db35342f58
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Feb 23 13:26:14 2015 +0100

    Use correct type in function call.
    
    Fixes
    passing argument 2 of 'pci_device_cfg_read_u32' from incompatible pointer type
    pciaccess.h:153:5: note: expected '__uint32_t *' but argument is of type 'CARD32 *'
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Connor Behan <connor.behan@gmail.com>

commit f1e6c73be073c8816319104b2fde329bc286f5ec
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Aug 24 13:48:29 2015 -0400

    Composite fixup
    
    A driver like this that tries to composite a lot will definitely need to
    avoid crashing for solid pictures.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit e6770f7cc11800ab6cc2e88790f357189de7ce32
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Aug 24 11:48:16 2015 -0400

    Remove DownloadFromScreen
    
    This hook was broken and did the same thing as a software fallback.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 04432b9c1db255e8e3d39a924f8803f83c407acc
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue May 5 11:05:44 2015 -0400

    Enable write-combining on the framebuffer BAR
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit da1223394ac9b6f3974b0b2570cbf46a2425fc11
Author: Matthew Rezny <matthew@reztek.cz>
Date:   Sun Jun 21 19:50:43 2015 +0200

    MGA DDX: make it possible to find EXA support
    
    Newer versions of the xserver stricter requirements on header order
    which caused the configure tests for EXA support to erroneously fail.
    Since XAA was already removed from an earlier version of xserver, the
    configure failure meant no acceleration was possible. Patch configure
    tests similar to r128.
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 8ed77eb7920f375e9490a31f907eccb02fb123cd
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Feb 19 13:39:18 2015 -0800

    xf86-video-mga 1.6.4

commit 132dee029e36c9a91a85f178885e94a9f9b5ee37
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 29 14:35:46 2014 -0400

    undef DISABLE_VGA_IO
    
    Dead conditional ever since m12n, must not be needed.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit cf46b1017a2663c59f07abd417573b9580f0145f
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 29 09:14:15 2014 -0400

    dri: Stop (uselessly) initializing the ValidateTree hooks
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 1a5bc65f27e76263818a44ddbc4197f6083077cf
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 22 12:48:27 2014 -0400

    man: Don't mention the HAL
    
    I mentioned it once, but I think I got away with it all right.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d2c65c24e94dca1e8fb16c851d0e2fe41bf5d1c6
Author: Mikulas Patocka <mpatocka@redhat.com>
Date:   Thu Mar 13 23:17:52 2014 -0400

    fix a type in previous lockup in the mga driver fix
    
    Oh, I had a typo in that patch - so please commit this to fix it.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 0789f3f2799e6497e9e2e7488da679c03b7fa468
Author: Mikulas Patocka <mpatocka@redhat.com>
Date:   Thu Mar 13 18:25:56 2014 -0400

    xf86-video-mga: fix a lockup in the mga driver
    
    I've had a Xserver lockup in the mga driver, examining it with gdb showed
    this obviously broken loop:
    	count = INREG(MGAREG_VCOUNT) + 2;
    	while(INREG(MGAREG_VCOUNT) < count);
    
    It reads the line counter and waits until the counter advances by two. The
    cause of the lockup is this - if the kernel reschedules the Xorg process
    and lets it run in such a moment when INREG(MGAREG_VCOUNT) returns the
    maximum (or maximum minus 1) line count, the loop never exits.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 62ba63f687d7b99aff7c88ffd2774f15a2471ce0
Author: Mikulas Patocka <mpatocka@redhat.com>
Date:   Fri Jan 17 16:04:26 2014 -0500

    xf86-video-mga: set the pan_ctl register
    
    On my Matrox G550 most videomodes in Xorg didn't work. I found out that it
    works if Xorg pixel clock is similar to the pixel clock set on framebuffer
    console.
    
    Further analysis showed that the Linux framebuffer driver sets the pan_ctl
    register (the register 0xa2) according to the pixel clock, the Xorg driver
    doesn't set it.
    
    I copied the code to set the pan_ctl register from the Linux kernel to the
    Xorg driver, and most videomodes in Xorg work.
    
    The pan_ctl register is required for both analog and digital output.
    
    The pan_ctl register is saved and restored, this is required so that we
    restore text-mode screen or Linux framebuffer correctly.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f647727a2c1d4c2a9261c411cd3df71c3c9f0c06
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Dec 5 12:09:27 2013 +1000

    mga: bump release to 1.6.3

commit 55525bdfc00b0b746401f6ea6ed289048e9d06eb
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Dec 5 11:51:39 2013 +1000

    mga: fix XAA runtime
    
    XAA->USE_XAA add USE_XAA.
    
    Tested-by: Avengence on #xorg-devel
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 6aa94687233f55a8044efe83cac82b04ab19609f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 17 10:27:42 2013 -0800

    Remove mga_esc.c vestigal stub
    
    Previously contained MGA HAL code, was left an empty shell by the
    removal of USEMGAHAL in commit 94bbeb132c7eda.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>

commit e9109a0b04695d6971c94abe271dda2dc1a5e886
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Oct 31 22:48:18 2013 +0100

    mga: Use exaGetPixmapFirstPixel() instead of devPrivate.ptr
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit a77b9c5143591672fbe56f4428ced439c1f4d0f3
Author: Egbert Eich <eich@freedesktop.org>
Date:   Mon Jul 29 13:02:21 2013 +0200

    Disable HW cursor by default on G200 server chips
    
    Disable HW cursor by default on G200 server chips as these chips a
    re often used with a remote graphics link which cannot display
    the HW cursor.
    This can be overridden by a config option.
    Most desktops today use ARGB cursors anyhow which are not
    supported by this driver anyhow. Thus the performance penalty
    should be irrelevant.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>

commit dba8778b9214dc3794198029fc6d59b3e97700d4
Author: Egbert Eich <eich@freedesktop.org>
Date:   Mon Jul 29 13:01:45 2013 +0200

    Restructure code to make it more readable
    
    With the previous structure it wasn't immediately clear when SecondCrtc
    and HWCursor were set to which value. Make the code more readable.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>

commit cbcee5de1ba02c8a58bae932a0cb98093dccefd9
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Oct 17 22:01:20 2013 +0200

    Fix dual head crash without XAA
    
    https://launchpad.net/bugs/1180986
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Robert Jacobs <robert.n.jacobs@gmail.com>
    Tested-by: Robert Jacobs <robert.n.jacobs@gmail.com>

commit 15815c8612694a89d0d8593b3e603fdcdeacdd05
Author: Andy MacLean <andy-ub1@themacleans.org.uk>
Date:   Thu Oct 17 19:51:36 2013 +0200

    Unbreak dual head (xinerama)
    
    This patch has been used in Debian, Ubuntu and Gentoo for years.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=18472
    https://launchpad.net/bugs/292214
    https://bugs.gentoo.org/show_bug.cgi?id=265100
    
    Signed-off-by: Andy MacLean <andy-ub1@themacleans.org.uk>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>
    Reviewed-by: Robert Jacobs <robert.n.jacobs@gmail.com>
    Tested-by: Robert Jacobs <robert.n.jacobs@gmail.com>

commit 12af175fee1d3f6f17f8391ec642d904deca3783
Author: Egbert Eich <eich@freedesktop.org>
Date:   Tue Jun 7 19:31:16 2011 +0200

    Disable Linear Expansion on BE
    
    Linear Expansion doesn't work on BE as the bit order in
    a word is reversed. ScreenToScreenColorExpansion allows
    to adjust the bit order in a byte, still the bytes have
    the wrong order.
    
    Reviewed-by:  <wharms@bfs.de>
    Signed-off-by: Egbert Eich <eich@freedesktop.org>

commit 49381ff2c3aa98be5bb84494b2ad3f81a0d31bcc
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jan 7 23:04:36 2013 +0100

    Restrict kernel driver matching to g200 server chips
    
    Otherwise we might catch devices handled by matroxfb, not the mgag200
    kms driver.
    
    Debian bug#697532
    
    Reported-by: olafBuddenhagen@gmx.net
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit fcd27b2b4ab2a181d5263296e71cda2d8772ba2d
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:36:44 2012 +1000

    mga: bump release to 1.6.2

commit 29de36da0ed031815bd302f55f2ef5cc0cce6cc6
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 10:54:00 2012 +1000

    mga: bring dri1 back to life.
    
    we need to at least setup the memory manager bits so dri1 clients
    get a backbuffer. this at least gets gears working again without XAA.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e777a2845bfeefad386db35d694e4b1cd74a0dd5
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Sep 26 15:18:44 2012 +1000

    mga: add stub storm functions if not using XAA
    
    If we aren't using XAA just add stub storm init/sync functions.
    
    This lets the driver load yay.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 220e06fefe77175d9827954e61549eadda245d9a
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 25 08:54:42 2012 -0400

    Remove mibstore.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit cd41eacaeabf8227197d605b055713ca654633d5
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-mga: bump to version 1.6.1
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f11a407ceb0857bb0d33811511117b490a8ae6ee
Author: Dave Airlie <airlied@gmail.com>
Date:   Sun Jul 15 19:41:28 2012 +1000

    mga: fix after XAA removal
    
    Fix mga build after XAA removal.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit fa0f3092ed38ce71ba9f65156bde306eb63feaf8
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 12:08:05 2012 +0100

    mga: bump to 1.6.0
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 7b6dcc4d5768cc8d17a1f664155ebdc8ca8c042e
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 09:23:31 2012 +0100

    mga: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 0cb8ba6dc5e7bf4179174f9f17e211df7d89bd41
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed May 23 23:40:32 2012 -0700

    Add const qualifier to char *from in MGAdoDDC
    
    Only used to store arguments to pass as printf %s strings to xf86DrvMsg
    
    Fixes gcc warnings:
    mga_driver.c: In function 'MGAdoDDC':
    mga_driver.c:1338:7: warning: assignment discards qualifiers from pointer target type
    mga_driver.c:1343:11: warning: assignment discards qualifiers from pointer target type
    mga_driver.c:1351:8: warning: assignment discards qualifiers from pointer target type
    mga_driver.c:1359:8: warning: assignment discards qualifiers from pointer target type
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit 3d9631b819c5c6f64ebf9bda8aab93e1cc7f391f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed May 23 23:34:07 2012 -0700

    Move PCI vendor/device id defines into mga.h instead of using xf86PciInfo.h
    
    Silences deprecation warnings from xf86PciInfo.h in current Xorg servers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit 0af7dba78559ce82b4c3eed0862415efcde51863
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu May 17 10:19:21 2012 +0100

    mga: don't bind to device if there is a kernel driver
    
    this should only pick up KMS drivers and not old drm drivers.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3991971c23ebe596742c004b1e583dfb1aa14ec4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:02:40 2012 -0700

    xf86-video-mga 1.5.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4c4beaf628c9c5dd531605e40696ed31db0e97b8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 4 15:15:07 2012 +1000

    Untangle XF86DRI from the driver-specific DRI define
    
    XF86DRI is defined by xorg-server.h, so --disable-dri in the driver
    itself does exactly nothing other than not fill in the CFLAGS
    and thus stop the driver from compiling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9223c44a731f48c66c226eb88dcb6f9d574cb599
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Jan 3 23:35:18 2012 +0100

    When we can't load the xaa or exa modules, use shadowfb instead
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit cc9d2e808de20723c9035952242d966455d583b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 28 19:44:40 2011 -0800

    Check MGAAllocAdaptor() for memory allocation failure
    
    If it couldn't allocate memory, don't attempt to write a bunch of values
    to the NULL pointer before returning it, but just pass the NULL along
    right away.
    
    Resolves parfait warnings of the form:
    
    Error: Null pointer dereference (CWE 476)
       Write to null pointer 'adapt'
            at line 322 of src/mga_video.c in function 'MGASetupImageVideoTexture'.
              Function 'MGAAllocAdaptor' may return constant 'NULL' at line 237, called at line 320.
              Null pointer introduced at line 237 in function 'MGAAllocAdaptor'.
    
    repeated for every line writing to the adapt pointer in each function.
    
    [ This bug was found by the Parfait 0.4.2 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit 644ba5d11049e63ea61b5cc4fb889b0f840965ff
Author: Christian Toutant <ctoutant@matrox.com>
Date:   Wed Dec 7 15:42:39 2011 -0500

    Add support for Video Memory greater then 8M
    
    Expand memory mapping of framebuffer from 8 to 16MB
    
    Fix segfault on redhat distibution
    
    Signed-off-by: Christian Toutant <ctoutant@matrox.com>

commit d9cf07a4f424b2beb844ea1b3ec5d468e79a747c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 16:34:41 2011 -0700

    Include "xf86Modes.h" for xf86ModeBandwidth
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f9acf37be49844bea8165be9786afe37fd999229
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 16:31:08 2011 -0700

    Include <unistd.h> for usleep
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 07792ef41f33aa5419168263637e34ee614f26e2
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Sep 26 22:38:17 2011 -0400

    Remove calls to xf86IsPc98()
    
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 560967b4ffdb103f95121c43708dd5fc680a5045
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Sep 26 22:37:04 2011 -0400

    Fix printf format specifier warning
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 1036e32e006d496023553ea566cb13ae93933719
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Sep 26 22:35:48 2011 -0400

    Remove if(E != NULL) checks around free(E)
    
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit ee09a9a340f8946f2d4a71a431b64189dbb5c256
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Sep 26 22:22:09 2011 -0400

    Remove xalloc/xcalloc/xrealloc/xfree
    
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 94bbeb132c7eda912d1b402a1a91ca7cbbf5e6a1
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Sep 15 10:29:11 2011 -0500

    Delete support for MGA's proprietary HAL: unifdef USEMGAHAL.
    
    This patch produced with:
    	for f in `git grep -Fwl USEMGAHAL`; do
    		unifdef -B -UUSEMGAHAL $f | sponge $f
    	done
    
    Adam Jackson wrote:
    
    	Hey, so, remember back in the dark ages when dualhead was this
    	insanely wild differentiating feature?  Matrox thought it was so
    	special, in fact, that they hid most of the implementation of it
    	(and a bunch of other stuff) in a binary-only blob called the
    	HALlib.  As you'd expect it was pretty much a cut-and-paste of
    	the relevant Windows code, and then some open glue to keep it
    	working; clientlx.c is that glue.
    
    	I guess the theory was that if you don't tell people which
    	registers to duplicate to implement a second pipe in their own
    	hardware, they won't figure it out?  A pretty eyeroll-worthy
    	idea even at the time, and definitely not something we should be
    	condoning anymore.
    
    	Kill it with fire, but while you're at it, untangle the hideous
    	mess of MGA_HAL() macros too.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Cc: Adam Jackson <ajax@redhat.com>

commit ae90c47503bc1015a50e7ea6d22ec10e5e0d4113
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Sep 13 16:01:57 2011 -0500

    Nothing uses clientlx.c, so delete it.
    
    Adam Jackson wrote:
    
    	Hey, so, remember back in the dark ages when dualhead was this
    	insanely wild differentiating feature?  Matrox thought it was so
    	special, in fact, that they hid most of the implementation of it
    	(and a bunch of other stuff) in a binary-only blob called the
    	HALlib.  As you'd expect it was pretty much a cut-and-paste of
    	the relevant Windows code, and then some open glue to keep it
    	working; clientlx.c is that glue.
    
    	I guess the theory was that if you don't tell people which
    	registers to duplicate to implement a second pipe in their own
    	hardware, they won't figure it out?  A pretty eyeroll-worthy
    	idea even at the time, and definitely not something we should be
    	condoning anymore.
    
    	Kill it with fire ...
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 01ca2186ea028b2549de509b51726aa08519fce0
Author: Christian Toutant <ctoutant@matrox.com>
Date:   Tue Sep 20 13:07:16 2011 -0400

    Reset tagfifo for renesas.
    
    For renesas, we need to reset tagfifo after a mode switch.
    
    Signed-off-by: Christian Toutant <ctoutant@matrox.com>

commit c083bf0a66bef9a4345847f39be5fb895c211f79
Author: Christian Toutant <ctoutant@matrox.com>
Date:   Wed Aug 3 09:45:13 2011 -0400

    Added support for G200SE Pilot3
    
    Optimize use of bandwidth and increase maximum resolution to 1920x1200
    
    Signed-off-by: Christian Toutant <ctoutant@matrox.com>

commit 43280e6521815582f219d42821d896093c9c0d5f
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jun 22 17:02:29 2011 -0400

    Don't include xf86Priv.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 5f1b04e86e79938c8158055a777280a649f95510
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Fri Dec 17 09:00:46 2010 -0500

    added support for G200ER.

commit f7a2ef60e18e2cc464f69c1cad4681096c645651
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:38:31 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 636c3c88e7e9cb30010fe1731cd7356849f3f172
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Oct 14 14:36:06 2010 -0400

    Don't allow the config file to override BIOS location
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 0bd44fad450843b7f1c35c70ab356a2b250d107d
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:51 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 951474c7fcd1b28d3178a6644d58958cb3bdf5a8
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Wed Aug 25 11:16:27 2010 -0400

    modified G200SE conditionnal statement about revision register for products compatibility.

commit c08b112bfe14fbfe713e4757eb0b704c8ed1f339
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 10 10:58:41 2010 -0400

    xf86-video-mga 1.4.13
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 411570523550e1997bbd83815990bdda8cfd129c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 99892c4f416e9669a62963d29e7dee760382da95
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1f78a33e576898a0b7fd542f772064ad2f01e2f9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fb311dc7e72a956c5a03e63757ec96b6626afb3a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:22 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f2c386e5a7b9b5682db40d53e9f7b92e7d41ceba
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 01d47165804c6c3a674fda7a9629e2f1d0f8b2db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:54:11 2010 -0400

    config: remove unrequired AC_SUBST([DRI_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b84e08801f18292b3af73ac250788941fa2685a0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:57 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9d7ae5d171555c22c654b5ef14840f7c8c3d2124
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ac6e0b60b18173598865a66333e0cfa383a61eec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a84d4a8883c5c853396c644cbc6db0f7f838f6bf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3f28d8a8c0c1cf2885475ecd5cad0eb98313ce6f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit 42d54a84a810c156c50b8f6643e4c8f315ed5f3e
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Thu Jul 22 10:51:15 2010 -0400

    adjusted max bandwith and max pitch values for G200SE

commit 306c46f6a627e51b051c55ce3d7ffc9a87d2e452
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 13 16:12:34 2010 -0400

    mga 1.4.12
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit df6014303b6933ae7c4bcbe00762180dfd692598
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Wed Mar 24 10:05:09 2010 -0400

    Changed probe_size value to detect up to 16Megs of video ram on G200eV.

commit 3f215b64889bcc7a656fc36db1eed8276b401a95
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Thu Feb 11 11:37:36 2010 -0500

    Added support for G200EH

commit 9993ea7479d15daf7cca5aad55d51acd8c19fee1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:52:05 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit feed5306f48b8ebe4ed8be7d3ae63051ae972968
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:47:12 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 896e4e5a34ee20a289934f9fe42c888bd9bb140c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit f0c388a26db5f24b9c3846b73a12197483b440ca
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit cd8434d86de8507e23405282acf80a9d02313134
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 2dc2cca0da1d007ea4bc962f2a298df98560268a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:21 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 7315b5a5b377810b8e11daf6b16e619f47cbde40
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:17 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 5d4144e6c2912292c3552a45e4a0a3c127cad013
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Tue Nov 10 09:21:24 2009 -0500

    Removed DDC1 support for G200eW.

commit 860d42232f7fa18805334746e7e9415c4ae50aa3
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Wed Aug 19 11:01:39 2009 -0400

    updated G200eW PLL programming sequence.

commit 319bba2b759ec64287935e2fb16491f75a3169af
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:28 2009 +1000

    mga: bump for release 1.4.11

commit e29477ef4d4ae50c39ef608ad0e2344c5c68ed40
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:40 2009 +1000

    mga: change to using ABI version check

commit 26ca92acc58b74202ec5eacaffc8e418d878da5e
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:31 2009 +1000

    mga: update for resources/RAC API removal

commit c1b8e89f367510958ffa8072ccbf416a13790c96
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jul 9 13:09:42 2009 -0400

    xf86-video-mga: use XORG_CHANGELOG macro to create ChangeLog. #22611
    
    Adding the macro in configure.ac and use it in Makefile.am
    Refer to: https://bugs.freedesktop.org/show_bug.cgi?id=22611
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 828b55d822f644976df40c8b835043895b7785e3
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:06:19 2009 -0400

    Remove useless loader symbol lists.

commit afda628bf77d4c6d58de6f1b88a8fa5391f1df1a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 11 22:20:56 2009 -0700

    Fill in COPYING file, add SubmittingPatches URL to README

commit 2972b5707bbee5ac0d046b5100bcf572d82e1c4d
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 6 14:12:35 2009 -0400

    Do E-EDID if built against a server that supports it.

commit b3fc1acaedd5d45b2c8eb2ba99b24579cf7d2a79
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 6 13:02:36 2009 -0400

    Normalize DDC for the second head.
    
    The exit path wasn't symmetric with the exit path for the first head.

commit bf6aee62b891d4305cb96f8a37e625e5cf7c1504
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 6 12:04:48 2009 -0400

    Remove redundant MGAuseI2C macro

commit 626af26098ab5d0823bf1d6c08157b4c89ec578a
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 27 14:01:03 2009 -0400

    mga 1.4.10

commit d33b06038223b2b121be7e3f8c207de5f518b28c
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 27 14:00:00 2009 -0400

    Fix ChangeLog generation

commit 06b6ead9a1b367e08ed6b3e75dfde0ee3b4a82b8
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 27 13:37:42 2009 -0400

    G200SE: Only force 16bpp on low-memory cards

commit 8b84fe236a42336e87048317880cc437494655f1
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 27 13:36:45 2009 -0400

    Move device ID and memory sizing much earlier in setup

commit 9a82c5db3f8332d10b31d68e5b86d3a6b136dc5e
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 27 13:26:03 2009 -0400

    Fix xf86ModeBandwidth check

commit 58888aefd0bad7bfca231ec7a54865d9c26c8095
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 27 13:19:42 2009 -0400

    Remove a leftover from overlay support

commit 19c44d537e982fcf0fe2dc9f3273ac6166302510
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Tue Apr 21 10:00:24 2009 -0400

    Fixed bad vga access in memory count routine.

commit 2388c4d512554258bce2b78c8f8aa1151b161c3e
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Tue Apr 21 09:51:34 2009 -0400

    Force pitch of 1024 for G200SE Pilot1 when edid is used as modeline.

commit 32bc0bcec815a363a47b9e7337d06370baf0c0d4
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Thu Apr 16 15:34:12 2009 +0200

    Prevent MergedFB setups from crashing.
    
    Second time mga_read_and_process_bios() is called pMga->chip_attribs
    is a NULL pointer for some reason. (#21022)

commit 70681daa0392e5fa413f888d92a30ddacdcc9c8c
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Tue Mar 31 11:41:00 2009 -0400

    Fixed G200SE PLL selection routine of m,n,p.

commit c955c1fdabfe0449369d0ccf31ab7e6ef3d7bffe
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Mon Mar 30 13:38:39 2009 -0400

    fixed memory count rountine for G200eW to detect up to 16Megs on X server without libpciaccess.

commit 16a5e3a7e13c0a2c1091ad452250cbc231b8f427
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Thu Mar 26 10:58:06 2009 -0400

    Modified memory count rountine for G200eW to detect up to 16Megs.

commit 36ae47b82310d96f158694765105fc010911702f
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Wed Mar 11 16:31:43 2009 -0400

    Fixed bad access issues and ddc1 implementation for IP core.
    Fixed a bug in PLL programming sequence for G200eW/G200eV where a register IO offset was used instead of
    a memory offset.
    Removed clock selection toggling in PLL programming sequence for G200eW.
    Fixed ddc1 protocol to support correct I/O lines according to chip attribute.
    Fixed a bug in CRTC2 programming seqence where a register IO offset was used instead of a memory offset.

commit 669acb55023bce505f4a912bed6f1e9f3efa2856
Author: Thomas Jaeger <ThJaeger@gmail.com>
Date:   Fri Jan 30 16:18:34 2009 -0500

    Fall back to software for unsupported repeat modes
    
    [anholt: dropped unneded ->repeat check -- it's a misguided compat field for
    drivers from before repeatType existed]

commit 496342b09b7379bff95627ec357d4dd24123dc85
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Feb 27 10:54:17 2009 -0500

    Revert "Build fix for EXA 3"
    
    This reverts commit 4aac5618278d47a801bef40d3eede1c360c1ea28.
    The EXA developers have backed out this ABI bump.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit 4aac5618278d47a801bef40d3eede1c360c1ea28
Author: Chris Ball <cjb@laptop.org>
Date:   Tue Feb 24 12:48:54 2009 -0500

    Build fix for EXA 3
    
    EXA in xserver head now requires us to pass -DEXA_DRIVER_KNOWN_MAJOR=3.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit 0e9df5fe820d69387355c3ef857cde4cc72220b0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:41:56 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit aa64a0c7b31858802f953b787991ef9c22a94cc5
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Wed Jan 21 09:56:41 2009 -0500

    Updated PLL algorithm for G200eW.
    Changed the m,n,p selection for G200eW and programming sequence.

commit 808d887d910636aaa64c42d6add896e9f9b1833a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:30:43 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit ba376973ae0d25557fdcd920e03474c0e6632e97
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Thu Nov 20 23:02:49 2008 -0500

    Fixed PLL m,n,p selection for G200eW to respect byte granularity.
    Renamed G200 eW Winbond ID string to Nuvoton.
    Added EV suffix to G200 Maxim.
    Blocked double scan mode for G200 eW.
    Fixed memory bandwidth limitation for G200eW to 318.77 Mhz.
    Added a workaround (blit 1x1 with rop=xor) to fix the black screen problem for G200eW.

commit 01e60b391f39f2ebcf2eeb3be2424a2e291ec8ca
Author: Yannick Heneault <yheneaul@matrox.com>
Date:   Wed Oct 1 21:39:40 2008 -0400

    fixed winbond/nuvoton min pll clock to correct value (18.75Mhz).

commit a0ebccaa10668bff6a51d9c027cd43e29a030e2b
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jul 2 15:02:32 2008 -0400

    mga 1.4.9

commit 62c8f0ad5bb3dd23226a6b481ed4f260c6770f55
Author: Yannick Henault <yheneaul@matrox.com>
Date:   Mon Jun 30 17:00:16 2008 -0400

    Bug #16545: Add G200WB support.

commit 32d50fca615af2c49914dd88c9da0f21b868b172
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Jun 23 13:06:21 2008 -0400

    Death to RCS tags.

commit 382659741681ad10290c1e01045dfe9e2fde8d3f
Author: Yannick Henault <yheneaul@matrox.com>
Date:   Mon Jun 23 13:02:43 2008 -0400

    Bug #15836: Fix DDC on G200SE.

commit 9e2ee9403c198da5d79dfb2f4fcafe9b381afd3d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 9 11:36:46 2008 -0700

    G200EV: Enable support for G200EV

commit fd9732800687b96caa9f81c0cc4b24c6aad04e78
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 30 19:47:10 2008 -0700

    I2C: Second (and final) round of clean-ups

commit c0711038ac2dcfb28dd4ead784c89615fb3b5844
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 30 19:39:38 2008 -0700

    I2C: First round of clean-ups

commit 7e28ce7f26fba2acee879c1da41426490034c0a9
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 30 18:43:27 2008 -0700

    Get memory probe size and stride (offset) values values from a data table instead of from code

commit 074a4aa1985219910a96b022368067e3ed5641e6
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 30 18:23:59 2008 -0700

    Initialize default BIOS values from a data table instead of from code

commit 9ee7b04b1fe57834a541ef27b4e25acffd3ac1c5
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 30 17:51:22 2008 -0700

    cfb8_32: Gut a remnants of support for 24-bit with 8-bit overlay

commit 254299d06eba2ede820f1fe2929a4b247ead39b1
Author: Tiago Vignatti <vignatti@c3sl.ufpr.br>
Date:   Wed May 7 01:07:44 2008 -0300

    For compatibility, accept SWcursor as option.

commit 0c61ccde7857dc7514881636144f95df51edaddf
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com>
Date:   Fri Feb 1 00:15:27 2008 -0200

    Replace ALLOCATE_LOCAL/DEALLOCATE_LOCAL with xalloc/xfree.
    
    The other missing symbols is MGAGetClientPointer, that I believe
    should be provided by matrox's libHAL.a, that I am afraid if someone
    still has a copy of it, it won't work with X Org's loader.

commit dcad316efe93491fabfe558bcf5331cf0a9402a6
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Mar 8 23:39:28 2008 +0100

    Makefile.am: nuke RCS Id

commit b5e43552f6b2a8ce8f405411a4ba6496e57d5100
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Jan 19 15:34:56 2008 -0500

    Disable I2C on G200SE for now.

commit cd2436c57d6b197ce0f58bf39ade903393cea842
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Jan 19 15:34:41 2008 -0500

    Change initial memory sizing on G200SE.

commit 40a4c1bdff174c31e6426a2ab3bc7cea5d99a700
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Jan 19 15:34:19 2008 -0500

    Adjust memory timings on G200SE-A.
    
    A bit opaque, but from the vendor:
    
    "The 0x1E24 check is to verify which pilot card is being used. And is used
    mainly to setup the hipri value of the card for use in a non hal enabled
    configuration as well as for when we check the max bandwidth for the latest
    board version of pilot." (fdo bug #11652)

commit d26b8d50a80b9408565f7daf0ad911bac5f44721
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Jan 19 15:33:49 2008 -0500

    Updates to memory sizing on G200SE.

commit e3777cafc07500c733b8569b50ce202e346c94bf
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Jan 19 15:33:28 2008 -0500

    No depth 15 on G200SE-A.

commit 6cd7677c41cf59194561225ed521a295e535862f
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Jan 19 15:33:13 2008 -0500

    Filter high-bandwidth modes on G200SE.

commit 15ba6d7b79308ff2da8abc9edf67ddc96d7d6b9f
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Jan 19 15:32:53 2008 -0500

    Update PInS defaults for G200SE-A.

commit e50a99877b2870746266b799b0a6411b2214a3de
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Jan 18 19:31:40 2008 +0100

    Bumped version to 1.4.8.

commit bfee7bf011625079fd79b1bf89198ffeb76096d2
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Jan 18 18:05:49 2008 +0100

    Bug #13926: Unbreak Xinerama.

commit 2096022c0757b675d39dea8830125ba800b43160
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 12 18:10:52 2007 -0500

    G200SE-A can't cope with bigger than 1600x1200.

commit 81717e5780350665166dd7a0f4d96135609a8764
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 30 18:43:30 2007 -0700

    Don't build or call init_dri if XF86DRI is undefined

commit db22b6ef0fa3ae20f46719bd826e16b6580e5213
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Oct 3 23:06:48 2007 +0200

    Fixed a typo.

commit 8e971287f60f3a41f2d0d176e4eaaa653e25276b
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Oct 3 12:47:59 2007 -0700

    Unmap the same size that was mapped
    
    Make sure the same size is used with pci_device_unmap_range as was used with
    pci_device_map_range.  Failing to do so was causing problems with a G450
    card in a POWER6 box.
    
    Based on a patch submitted by Anton Blanchard.

commit 10d452ad86b4798f3ded6c4c2446f08aaab6af00
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Sep 15 00:16:16 2007 +0200

    Oops, don't access the "memory" field in struct pci_mem_region either.

commit 485fb9aa1e5d90c75d763db4b7bf5a80e51e83e9
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Sep 14 23:10:09 2007 +0200

    Use pci_device_map_range() instead of pci_device_map_region().
    
    Likewise for pci_device_unmap_region().

commit d7f0f657504b2646a94f652baf0f71ff4117fac4
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 5 18:06:57 2007 +0200

    Bumped version to 1.4.7.

commit 6fde3fd6d34e7252ee16422b19896d71b1622039
Merge: 4bfc1e1 923176f
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 06:07:32 2007 -0400

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/driver/xf86-video-mga

commit 4bfc1e1ea11604e3af150a4228663cb1cb1bf9f3
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:52:35 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 923176f5aad777b4023003a457bb77da21373389
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Aug 31 11:05:57 2007 -0700

    Use XSERVER_LIBPCIACCESS to detect pci-rework.

commit 90beb8c27b4206b593898d346bf37ab49e75b975
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Aug 22 11:19:46 2007 -0700

    Set pScrn to NULL before calling xf86ConfigPciEntity.
    
    Why is the interface to xf86ConfigPciEntity so filled with hate?

commit 55d219394ad6af8e25ff604bcbb49d5a551bd348
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Aug 22 10:43:39 2007 -0700

    Merge PCI-rework support and "classic" PCI interface support into one tree
    
    First pass at merging both trees.  So far, this has only been tested
    on the PCI-rework build on a PCI G450.

commit f4ef39d53d5a67942707507814fef4ad466dc909
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Aug 20 15:36:57 2007 -0700

    Fix compile error introduced by merge.

commit 707d3adbc7d9ee918d6c70083f51ad851ce68852
Merge: 741c50c 489e007
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Aug 20 15:20:39 2007 -0700

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-video-mga into pci-rework

commit 489e007a29de63716ab550eacb3e98a91975d1d5
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Aug 8 21:32:57 2007 +0200

    Fixed major blending and compositing breakage.
    
    Do not adjust the destination blend factor if we need source alpha
    but our source doesn't have an alpha channel. This makes no sense at all,
    because the intermediate picture will always have alpha bits (either from
    the original source, or forced to 0xff).

commit 3820f55e3068163f8c3047a25126673e6de2d16e
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Aug 1 09:02:21 2007 -0700

    Add info for offset 116 in PInS version 5.

commit 7d7626f8429e108dd326899d927de4b4c79f71f5
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Jul 30 12:36:19 2007 +0200

    Bug #4249: Further increase the minimum dot clock.

commit 1a1fe837bc114b5f741e87f14bef74803e299c8d
Author: Brice Goglin <Brice.Goglin@ens-lyon.org>
Date:   Fri Jul 27 18:19:21 2007 +0200

    Change minimal frequency guess from 12 to 16MHz
    
    G550 seems to lock up with frequencies below 16MHz.
    
    Reported by Benjamin Wong <hackerb9@u.washington.edu> in
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=430112
    and https://bugs.freedesktop.org/show_bug.cgi?id=11339

commit 041caa230b91a017881394c59d76d663d647529c
Author: Gabriele Gorla <gorlik@yahoo.com>
Date:   Thu Jul 19 22:14:51 2007 -0400

    Add Xv support for Millennium II chips
    
    Bug 11537

commit 7b080d993ceda7b181e0611ed0c997c8aecc9ad7
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Apr 15 12:47:27 2007 +0200

    Added memcpy-based DownloadFromScreen implementation.

commit 43b79af51b600e98ecac9d57aeb0d686dbc6a50e
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Apr 15 12:41:01 2007 +0200

    On G550, do A8 adds in hardware.

commit 69c4ed205afbeb9ad937f079caace6cee19bd7b1
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Apr 15 12:28:28 2007 +0200

    Make DRI initialization work when using EXA.
    
    Still need to implement InitBuffers and MoveBuffers for EXA.

commit 920b84364a374ac8cde9314efc6742c11a72ce4f
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Mar 30 20:47:14 2007 +0200

    Removed the debug messages for solid and copy ops.

commit d1696d91d9da79c40b0576b3ce754dc8a6666117
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Mar 30 20:45:45 2007 +0200

    Sync after UploadToScreen.

commit 1246f724bfdd44b49091516bf909ecf97c9b82db
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Wed Mar 28 11:14:24 2007 -0400

    Default mode on G200SE of 1024x768 @ 16bpp.
    
    The poor thing has so little VRAM that you can't do any bigger than 640x480
    at 32bpp, so in the interest of having a reasonable screen size...

commit 834bdfc2503f64d8f3bff088dc5eaf8f52f828f5
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Wed Mar 28 11:09:56 2007 -0400

    Disable MTRR support for PCIE G200SE cards, as it tickles hardware bugs.

commit 630390dc5b892941ed6609ca5c35b90be53333f7
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Wed Mar 28 11:07:49 2007 -0400

    Fix various timing bugs on the G200SE.

commit 99430f1cf36c07350cdc557dbbb5c0a34c9b9dd0
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Mar 18 12:41:06 2007 +0100

    Shut up the compiler.

commit 741c50c162986a14647301c2c5f8e080a7664efd
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Feb 2 15:50:14 2007 -0800

    Code refactoring in MGAScreenInit.
    
    Rearrange code so that functions that are selected based on MergedFB
    and SecondCrtc are selected in one place instead of 3.  Rearrange some
    code that selects on FBDev and Primary to flow a little better.

commit 4432091b2597cf4bba09009622d247c0d8ff151f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Feb 1 13:45:18 2007 -0800

    Ensure the result of MGAMapMem is checked.
    
    Add GCC warn_unused_result attribute to MGAMapMem.  Add a check of the
    return value to one place that was missing it (in MGACountRam), and
    check the return of that function.

commit 3a47132af4dfab420e3c35d7d100dd93fb7bf9c6
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Feb 1 13:30:34 2007 -0800

    Refactor memory map / unmap functions.
    
    MGAMapMem and MGAMapMemFBDev were refactored into a single function.
    This happens to fix a bug triggered in software XAA paths because
    MGAMapMem did not set FbStart.  MGAUnmapMem and MGAUnmapMemFBDev were
    also refactored into a single function.

commit 916d41bcf99bbf666bf634edb1c72b90d9b16ea0
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jan 15 11:42:52 2007 -0800

    Convert to new pci_device_cfg_write_u* interface.

commit b26bfefb7ea107be3949daea0f6beca6d80c09d4
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jan 15 11:42:07 2007 -0800

    Pass the correct pointer to pci_device_cfg_write_bits.

commit d5b4dbe749e860e4349607c57467f8085dc28c33
Merge: cb103a1 876657e
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Jan 9 16:04:06 2007 -0800

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-video-mga into pci-rework

commit 876657e613de6d9dd906c95e05fc590a84d1c322
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue Dec 26 22:14:57 2006 +0100

    Fixed a typo that caused MGAREG_C2OFFSET to be set to a bad value.
    
    Unfortunately, this doesn't fix any bugs because afterwards,
    the correct value would be stored in MGAREG_C2OFFSET anyway.

commit 7d676a830a9b0c5593e144e15a14dc4aa6bc5ab7
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue Dec 26 19:45:18 2006 +0100

    More boring janitoring work.

commit 787284f420d324821ac31b43f3d915d58533a141
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue Dec 26 00:30:51 2006 +0100

    Fixed a typo in a debug message.

commit 373bf108414cebdaea8d3febc9120566ef5e4118
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue Dec 26 00:28:55 2006 +0100

    Bug #9448: Actually write the C2STARTADD0 register.

commit fd91b601ec4dd48cfb6ea5495b595fec6d932ab5
Merge: f84b138 0ce8f52
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Dec 24 06:32:53 2006 +0200

    Merge branch 'temp'

commit 0ce8f522a207dd0fa21ebf41b82f6af930cd7e54
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Dec 24 06:24:56 2006 +0200

    bump to 1.4.6.1 (respin)
    No code changes, just built with a better util-macros.

commit 74d21b74774c81d3d96ff3017763c25e3660dde0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Dec 24 06:23:43 2006 +0200

    bump to 1.4.6

commit f84b13871114e6bb486402e00186a319df123f53
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Dec 24 06:23:19 2006 +0200

    bump to 1.4.6.1

commit 9b2e1381ccda8bb4f4d186c20d5672738adfc04b
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:44:49 2006 +0200

    bump to 1.4.6

commit cb103a18067adb3256c0b791255ce8435ff57e06
Merge: d0e0362 4bcfca9
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Dec 11 15:06:19 2006 -0800

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-video-mga into pci-rework

commit d0e03622811fd94c830c0b5233ff505392c0d331
Merge: 8fee907 1dd6e69
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Dec 11 15:06:03 2006 -0800

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-video-mga into pci-rework
    
    Conflicts:
    
    	src/mga_macros.h

commit 4bcfca9bcf4a2be8d49a700b1a0d529f4e5ea412
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Dec 10 14:33:10 2006 +0100

    Replaced some more magic values with register names.

commit 55d283a8c2347e809dadace3fb9a026bab6d57dd
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 18:46:00 2006 +0200

    Makefile.am: fix ChangeLog hook
    Make ChangeLog hook safe for all situations I could think of, including
    carrying the ChangeLog through for distcheck when objdir != srcdir.  It's
    significantly more ugly, but eh.

commit fbbbb853041ae4af36eeffb24188b9a5513ba7d5
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Dec 2 12:42:34 2006 +0100

    Removed a duplicated register definition.

commit 447aae84d07cab34987ab08ead9319e176ccd904
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Dec 1 20:19:13 2006 +0100

    More janitoring work.
    
    Moved the XPWRCTRL, XDISPCTRL and C2CTL register definitions
    to mga_reg.h.
    Cleaned up the DAC2 routing.

commit 10b2202c254b71b8d0da987a225d5e78a030bca4
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Dec 1 19:10:55 2006 +0100

    Use the XORG_RELEASE_VERSION autoconf macro.

commit 00efdc4959a0b240eb2dc7a3188c0ef64b2ad74a
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Nov 30 19:59:38 2006 +0200

    bump to 1.4.5

commit 5bbafd77678a2b0f82e820aa98337a014d284554
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Nov 26 18:06:12 2006 +0100

    Made some XAA function static.

commit 4778901bb13a950285c55ea6f058e94ee7b03652
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Nov 26 16:21:34 2006 +0100

    Removed a duplicated register definition.

commit f9d83ad601c8cba197e96f0b907f1dae6134953b
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Nov 26 16:17:12 2006 +0100

    Replaced more magic values with register names.

commit 6df85941ce077e1eee8b43945c51ab1b0906c758
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Nov 26 15:39:54 2006 +0100

    Use register names in MGASaveScreenMerged() rather than magic numbers.

commit b3ee69f6ac058e52d5175f611090baa76eed49f9
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Nov 26 15:24:46 2006 +0100

    Register name tweak.
    
    The "DAC power down" register powers down the DAC when it's
    set to zero, and enables it when it's set to one.
    To avoid confusion, I renamed it.

commit 0f8c42fe75c6da9e7ea4aeb33b71778551c61528
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Nov 25 17:08:15 2006 +0100

    Removed some unused defines from mga_reg.h.

commit 334c7237078652722d7dec1c74812af46bfd7c67
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Nov 25 16:42:49 2006 +0100

    Removed some duplicated register definitions.

commit be88d58968c604624617f40820dc9a50a92661be
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Nov 19 21:04:01 2006 +0100

    Bug #2168: Fix graphics corruptions with Mystique rev 2.

commit daeecb63567fb394654c9e66d64c3c53658f2c7d
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Nov 17 23:08:25 2006 +0100

    Enabled the Exa composite hooks on G550.

commit d69607fe8b2dfb6c539dbf9f2b2996d04a4a838a
Author: David Nusinow <dnusinow@debian.org>
Date:   Mon Nov 6 23:58:06 2006 -0500

    Minor typofix that was causing configure to exit with a syntax error

commit 1dd6e6995d7a37338dce6ee5b1aa4ee9dd848e1d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Oct 27 11:53:40 2006 -0700

    Bump version to 1.4.4.

commit 19d950e61b2b33052e52c33add8e70c29ac9d766
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Oct 27 11:48:35 2006 -0700

    Convert tests of pMga->Chipset to tests of single bit flags.
    
    Several places in the driver contain if-statements that test Chipset against
    several different values to determine what functionality to use.  Some of
    these tests, HALCHIPSETS in particular, test as many as 6 different values.
    This bloats the code size unnecessarilly.  Instead we cache the results of
    some of those tests in single bit flags stored in pMga.
    
    These changes are similar to some changes in the pci-rework branch.

commit d28c4a3307984b86e0f3cc68fa48cdc01e307a7c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Oct 26 19:52:54 2006 -0700

    Fix bug #8666.  git-bisect for the win!
    
    Since && takes precedence over ||, put parenthesis around the || block to
    make all the operations associate in the intended manner.

commit 041910d3b9f6284b4b8a7df10f284528a7e79d12
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 18:33:39 2006 -0400

    Bump to 1.4.3

commit 8fee907cac7e5924630e3648bfb72ad9bd021ea8
Merge: 7cecee1 2fc0ebf
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Oct 10 11:43:52 2006 -0700

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-video-mga into pci-rework

commit 2fc0ebfbe850c138e840b6653ed1476623aa04a4
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Sep 28 18:39:20 2006 +0200

    Make the DUALSTAGE0 code slightly easier to read.

commit ddd93ae96c5427d4c8d03eb225b66a1a93fa2bc8
Author: David Nusinow <dnusinow@debian.org>
Date:   Wed Sep 20 20:42:12 2006 -0400

    Minor manpage typofixes. Patch by A. Costa (see Debian bug #364558)

commit 34ec93796e4be31d95d1ed507660c65a2c60fa43
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 20 21:05:16 2006 +0200

    Unbreak the build: MGAStormSync() is required by mga_dga.c.

commit 954c8d06f2697d4f764583dd3336b4cc266b90fd
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 20 20:51:36 2006 +0200

    Removed the XAA atype tables.
    
    Added a FIXME on BLK support for GXcopy instead.

commit ecc155e27b6566196e56de241ae81266e03dc90e
Merge: e7b36c6 2e73c29
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 20 20:43:55 2006 +0200

    Merge branch 'exa'

commit 2e73c2989e6cf0f24f8b0c4ae372f0c44dc19755
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 20 20:41:18 2006 +0200

    Documented the AccelMethod option (copied from Radeon's man page).

commit 3f4c12a388af05995273c9abe742f82f84e558a8
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 20 20:36:18 2006 +0200

    Removed the DFS stub.

commit 69cc0060d9516d5fba5fa46607a993f3ebfd5d89
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 20 20:26:37 2006 +0200

    Fall back to software rendering for A8 add A8.

commit e7b36c66852077ffbbffdd20e39ed4b6f24541b7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 18 11:08:51 2006 -0700

    Bump version to 1.4.2.  Bump required server version to 1.1.0 (X.org 7.1)
    from pre-1.1.0 version.

commit 5830edf81a0c0119bd2486b48e56fdb9daf72586
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Sep 16 23:59:32 2006 +0200

    Generate ChangeLog from git.

commit 3b2a7b1faf142d4301c55b8951657e177b5ac118
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Sep 16 23:06:36 2006 +0200

    Don't install stormdwg.

commit 3d7c109c4864f021590c3bcf0f09685498225dde
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Sep 16 22:31:02 2006 +0200

    Enable the BYPASS332 and NODITHER flags when writing to 8 bpp dests.
    
    Thanks to Ville Syrjälä, who noticed these were missing.
    Note that this messes up glyph compositing (A8 add A8) pretty much, but
    I don't know what's really going on there yet.

commit 2eae7c98fcd3f452f9b9c2eef4a9cf820edf69aa
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Sep 15 16:01:28 2006 +0200

    More DUALSTAGE0 fixes related to A8 writes.
    
    When writing from a texture without an alpha channel to an A8 texture,
    we now set the alpha channel to 0xff via FCOL.

commit b1031689212bfbbe832dd73337ea8cd5d66ae2ff
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Sep 15 13:43:55 2006 +0200

    Reworked DUALSTAGE0 setup.
    
    If we're copying from A8 to A8, we need to replicate the alpha to
    the color channels.

commit 965faa3661f73a1d4cbf6368458244dff45a76ad
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 13 14:56:29 2006 +0200

    Only use the source texture's alpha channel if it actually has one.

commit 14202e7c47326e8678bf38a6bda63d608f1f152b
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Sep 11 14:22:24 2006 +0200

    Support masks without alpha.

commit 35651deb8fc3b8b7b0cf4895732f2edeecdabeb7
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Sep 10 00:56:10 2006 +0200

    Fixed the remaining MGAAllocateMemory() issues.

commit d5e9270acf2f914fe7603225ac605cd29830bed6
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Sep 10 00:04:48 2006 +0200

    Fixed the engine sync needed for TexturedVideo.

commit 7739a929100d516e06646a38062df8da1f33f774
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Sep 10 00:04:21 2006 +0200

    The XAA path in MGA_SYNC() now only syncs the engine if NeedToSync is set.
    
    This makes both paths behave the same way.

commit 1a045b37db4c7c606ed056addf52d337dbdeb88d
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Sep 9 23:58:42 2006 +0200

    Dont't multiply the retval of MGAAllocateMemory() by cpp again.

commit dfa5807c1f5694728aa92138eb0eab5bd5b8c3d7
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Sep 9 13:24:01 2006 +0200

    Make use of MGA_MARK_SYNC.

commit bfb329542377e8e8141c87ed30389de6d7180e06
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Sep 9 13:20:13 2006 +0200

    XV works with EXA now (dumb port of the Radeon code).

commit 9fa71aef67df48b59f9d70fddd2725f739d171a9
Author: Tilman Sauerbeck <tilman@hammerfest.(none)>
Date:   Sat Sep 9 11:58:32 2006 +0200

    Do A8->A8 ops in hardware.

commit 7a7feb251b8172786755ab81b154bbfb7d193dbc
Author: Tilman Sauerbeck <tilman@hammerfest.(none)>
Date:   Sat Sep 9 01:16:26 2006 +0200

    PrepareSourceTexture() cannot fail.

commit c2545d6e94964fc981746cdf212b5dc9cd4fdd1b
Author: Tilman Sauerbeck <tilman@hammerfest.(none)>
Date:   Sat Sep 9 01:14:38 2006 +0200

    Implemented pseudo-DMA based UTS.

commit 3969fe1176da9e39b722982889a3cccc0f812e59
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Sep 7 22:52:26 2006 +0200

    Refactored that texture format lookup code into mgaGetTexFormat().

commit ad57c370ba8ffcbf0b7cf404c61ed01bc924ddd5
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Sep 7 22:21:19 2006 +0200

    Use the right dithering mode for r5g5b5 textures.
    
    This makes all of rendercheck's blend tests work.

commit c39749d6e0e967cd12bcc629c3840905e07dd60c
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Sep 7 18:24:08 2006 +0200

    Enable composite hooks on G400/G450 only.
    
    The PCI-IDs aren't ordered, so using ">=" there was totally broken.
    I don't know whether the code works on G550 either, so I'm not enabling
    it on these cards yet.

commit 0ee922bb4cce012c980c5d6178fe04e86c5cce53
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Sep 7 17:36:23 2006 +0200

    Code cleanup/formatting fixes.

commit 4ed932caa27df8c6a4c58478d3f9b45815de06f5
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Sep 7 17:21:52 2006 +0200

    Moved some FIXMEs.

commit 3b06475096238b3adc3151f27a92d7a8dbbb0231
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Sep 7 17:16:35 2006 +0200

    Put my name in mga_exa.c

commit 6391a058b333de306c9b11c6a723cb4457e76c8f
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 6 16:43:51 2006 +0200

    Fixed the non-EXA build.

commit 74e85b19e564927337f23f6de25bb58f309e892b
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 6 15:38:39 2006 +0200

    Enabled alpha filtering.
    
    This doesn't influence rendercheck's test outcome, but helps with
    evas_xrender_x11_test.

commit c2490640b4b237239872c5acbde3704e6e1412e9
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 6 14:36:38 2006 +0200

    Code cleanup/formatting fixes.

commit 646a9927b8412b0224e260be46162782e87bf7c4
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 6 14:24:26 2006 +0200

    Don't set TAMASK in TEXCTL.
    
    According to the specs this disables alpha transparency, which we
    probably don't want, but the tests say it's good.

commit e7eccaba96e5bc4ff3ddde49b5245cd448bd5d9b
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 6 11:48:16 2006 +0200

    Rendering to (A)BGR isn't supported.

commit 72338321331fe8830d1d95a1c7f4a4fb5f2d9b0a
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 6 10:57:13 2006 +0200

    Disabled color keying.

commit 056915493981be3f3b9270334e0f992a290dfab6
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Aug 28 22:19:23 2006 +0200

    Make this code a little more readable.

commit b8320d198abe0cd26b2f76b9add634ef8245ba27
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Aug 27 16:22:50 2006 +0200

    Minor code cleanup.

commit c525a7e73ac2ef18933d170f8497351d62e5b1ce
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Aug 27 15:22:58 2006 +0200

    Fixed a typo.

commit e0f76b32992274faa0adb39dfd6df0fc3b434e96
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Aug 27 12:44:16 2006 +0200

    Documented the mgaBlendOp array.

commit 5982e8200270d25a57da8ab0d1a8290cfaec070c
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Aug 27 12:27:59 2006 +0200

    Cleaned up the XAA code a bit.

commit e7ba7c993f4e439672810ec9ce3a24df823051a4
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Aug 26 22:33:25 2006 +0200

    Enable composite hooks on G400 or greater.

commit 6c365757891c3e0e0a55c7bea995ef8a4fb3f69c
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Aug 26 22:32:25 2006 +0200

    Added missing mgaSetup() call to the PrepareComposite hook.

commit 2efbc687fcc0d05dca241e4079d9236d9cce0dde
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Aug 26 22:27:34 2006 +0200

    Added a couple of missing newlines.

commit 17153c794d532f27a4248c3f64eba95ede62be87
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Aug 26 21:42:41 2006 +0200

    The texture mapping opcode is 6, not 5.

commit 13f649c65784192c30c18581d8795f3c47060644
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Aug 26 20:03:36 2006 +0200

    Removed ajax' comments on the Copy code, it seems to work well.

commit 4bf16b5f26266132f0c3e9c058df8014d52d56f1
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Aug 26 18:04:08 2006 +0200

    Clean up color/planemask replicating.

commit 5d001aeb21aabde5b6cd919692de726ebaeb3481
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat Aug 26 18:00:49 2006 +0200

    Fixed alignment values (taken from kdrive).

commit 693f165e2c6c431e6c61c835781883c2bcef5876
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Aug 25 22:40:17 2006 +0200

    Fixed corruption on copy, by copying kdrive's waitmarker code.

commit 7fbd85b3621f5368ebce178e5e55b0cbd5a80733
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Aug 25 22:33:06 2006 +0200

    MGASelectBuffer() is only need for XAA.

commit 9b24934be499fe5de9fdc02a71e41906c50791d9
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Aug 10 22:01:19 2006 +0200

    Switched the MACCESS code to the stuff from mga_storm.c.

commit 398447c041cffdc712a86f9fe9b58c3f5189c86e
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Aug 10 21:31:49 2006 +0200

    Call exaMarkSync() where we'd set the NeedToSync flag for XAA.

commit b1126b4ab81c12f178fb7366a52b6f2d38af3810
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Aug 10 21:25:48 2006 +0200

    Removed XAA specific code from MGAGetQuiescence.

commit 9141effdbbcd2b3419874ebb4e3898fca3474417
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Aug 10 20:42:56 2006 +0200

    Added another chunk of kdrive code to mgaPrepareSolid().

commit 3f440e499b5d0b073118855fe39fa4077971c06e
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Aug 10 20:40:51 2006 +0200

    Added mgaSetup() from kdrive code.

commit 9285dec527a5f0ec21384b1e079a3878b622a6c2
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Aug 10 20:03:18 2006 +0200

    Disable composite hooks for now, to reduce breakage.

commit db87a5ac8feca5f0126c7af4c51f69222fae7dd9
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Aug 10 20:02:51 2006 +0200

    Wait until the DMA engine is idle in mgaWaitMarker.

commit 84ec0db961de3b10ac02ec5ae6adcec5cc439069
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Aug 10 19:49:22 2006 +0200

    Initial commit of the Exa bits.
    
    Based on ajax' mga-exa-2.patch with some straight forward fixes
    by myself.

commit 7cecee186c889902bed9b7fa042f0bd3cc0297ef
Merge: 160b1f7 bde5920
Author: Ian Romanick <idr@umwelt.(none)>
Date:   Thu Aug 10 10:19:55 2006 -0700

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-video-mga into pci-rework

commit bde592047cd62194d7ef67520a9fdbaf269a8b90
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Aug 9 21:59:42 2006 +0200

    Bug #7265: Fix MGA DRI locking.
    
    The server expects the driver to take the DRI lock in the wakeup
    handler, and release it in the block handler.
    The old locking scheme didn't work like this, which caused problems.
    We now no longer override wakeup/block handler and just use the ones
    provided by the server. This means the DRI lock will be taken
    "all the time" and not just when it's needed by the driver.
    MGADRISwapContext* are activated again, so the wakeup handler could be
    removed.
    I didn't notice any DRI performance drop, but I didn't do serious
    benchmarking either.

commit 160b1f79fab7266a24b7d1a680cdf29bad9707c1
Author: Ian Romanick <idr@umwelt.(none)>
Date:   Tue Aug 8 16:59:15 2006 -0700

    Store the pci_device pointer passed into MGAPciProbe instead of
    searching for it in MGAPreInit.

commit 068e3427cfdf3e3b5dc5c97872d5f52f47ff0d68
Merge: 95e0722 7170de8
Author: Ian Romanick <idr@umwelt.(none)>
Date:   Wed Jul 26 11:47:32 2006 -0700

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-video-mga into pci-rework

commit 95e0722ff2e8878cdd6bb0e349eecab042b879db
Author: Ian Romanick <idr@umwelt.(none)>
Date:   Wed Jul 26 11:46:52 2006 -0700

    Current state of MGA driver modified to work with the xserver
    pci-rework branch.

commit 7170de83762660efebff79be84f763008466ffa7
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Jul 26 17:06:18 2006 +0200

    Merged the various .cvsignores into .gitignore

commit 80bf41170af91b62b9950a5cf7baf3c364a8f539
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue Jul 25 22:03:22 2006 +0200

    Fixed some warnings

commit 78c12368fa1c1985f41ce856ff453a967429870a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 10 18:53:05 2006 -0700

    Add includes of <unistd.h> & <stdlib.h> to replace previously xf86wrapped prototypes
    
    Fixes these warnings:
    make.out:"mga_dacG.c", line 195: warning: implicit function declaration: abs
    make.out:"mga_dacG.c", line 1117: warning: implicit function declaration: usleepmake.out:"mga_driver.c", line 692: warning: implicit function declaration: usleep

commit c0dfac86e75ea63ae0c25c070bc661b6f41d35eb
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Mon Jul 10 17:21:25 2006 -0700

    Bug #7369: mga(4) manpage typo mutilates part of text
    
    Bugzilla #7369: <https://bugs.freedesktop.org/show_bug.cgi?id=7369>
    Patch #6079: <https://bugs.freedesktop.org/attachment.cgi?id=6079>

commit fe23ada5cc8c13fa30aa210df9968a4042593ea2
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Jun 14 21:52:21 2006 +0000

    Refactor AccelFlags setting and some other feature settings for various MGA
        hardware. Eventually AccelFlags will be set from a table look-up, but
        that will come after the PCI rework is merged.

commit 72667a14fa330ef3b08dd72ab84ff09b164ff5ed
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 12 20:26:35 2006 +0000

    Bug #6562: s/MAXSHORT/SHRT_MAX/ for POSIX. (Matthieu Herrb)

commit f0a3923fe65abb04e64e3159b154f677e76423ca
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 8 01:33:58 2006 +0000

    Bump to 1.4.1 for Xv changes.

commit ae30dfebbd6883f1a863d193d6c8e971c0dec92b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 7 23:09:17 2006 +0000

    Add a DrawablePtr argument to the XV functions to pave the way for
        redirected video.

commit 8bc544169adfed95b11062fe9816ecf31e35b014
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 19:21:13 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.4.0.

commit 07373669514b104a11fb1b4ed5214f3764c83a2f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 2 01:03:50 2006 +0000

    Bug #6328: Add support for Matrox G200SE chips. (Matrox)

commit 88ece3c37c4ed529686b6cdea1bf9b6eed8fceea
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Mar 20 19:12:50 2006 +0000

    Bug #5587: Refactor mga_storm.c to only build once for all color depths.
        (Ian Romanick)

commit 089c7be83d6cace94a692ec46a4c3a05b32fd4f4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Mar 15 20:21:23 2006 +0000

    Coverity #1009: Check for NULL first before assigning to pMGADRI.

commit 20eb3f159fe3629d1bfb6b9437912f55b690e068
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Mar 15 20:18:43 2006 +0000

    Coverity #92: Eliminate a dead code path.

commit 0be3b6f166709984611affad740bddaecd0bb880
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:00 2005 +0000

    Update package version for X11R7 release.

commit 7c3b4b0ba321d2a96a6586db585e194102f51bfe
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:53 2005 +0000

    Stub COPYING files

commit 216fcca904e358175f28b4685cdc657c4ebd2245
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Dec 19 09:07:50 2005 +0000

    Typo fixes, mailing list & url updates, and other changes to prepare for
        X11R6.9 & 7.0 releases.

commit 44ed6a4d7df5353068a1ec464aedee2754a0689c
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:17 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 051c589bc038a8f55754decfc90f4a87cec1d318
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:35 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 8cd8149a942facfadd961b1ce5ab7a4ec4ab13f6
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:34 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 372574887ecbb78b5c88f9b70f380f18e22146c0
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:08 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit 6431eaab73efce760730cc0214819d970fdd39f2
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Nov 30 18:51:34 2005 +0000

    Bump libdrm dep to 2.0.

commit 161a85033eecfb831d6772515b09074bd4632f3f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:29:59 2005 +0000

    Only build dlloader modules by default.

commit 352f65e64e1276511cb253bf52534a1f30776984
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:09 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit e29459c50ebcde0683aa6e33f936e8cee2eb93a9
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:15 2005 +0000

    Add .cvsignores for drivers.

commit df888be94ca02f16e5dc2d1eabc4ede4b1e15369
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:31:20 2005 +0000

    Bump version numbers for X11R6.9/X11R7 RC2.

commit 241c2b24d61266cd363f7e5f20ba8538482199df
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:15 2005 +0000

    Update package version number for X11R7 RC2 release.

commit a04e08832096e7f6e0763fa17a3684da24916ffe
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Nov 9 17:42:58 2005 +0000

    Bug #4998: Add ';' and ',' as valid separators for MetaModes as well.

commit 00d81f8f104805702ee84c6d7781502bfe37f86b
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:53 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit c906a237b118a80f7d9e1428ad7efd5f189232e6
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Oct 21 18:40:19 2005 +0000

    Bug #4829: Remove some useless DRI symbol checks.

commit f1db5fcc072b0066c7dbe42a2064200191ee759e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:03 2005 +0000

    Update package version number for RC1 release.

commit 12b4af203c4c228521c1095b6f08e02601486137
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:53 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit 58ee3b290ef6b1366a1c241063120dece82802cb
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:34 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit e8f6552523f6a2f651fd596db263213eef5edcfe
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:09:03 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit 52497dac4be07bb5a4ca1a73ec6198851173b6c4
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Sep 27 20:53:19 2005 +0000

    Update build system for apm, chips, cirrus, glint, i740, mga, neomagic,
        newport to accomodate various new documentation and utility files.

commit d3a3818010a620ae57dd6831466ce9cd4137b28f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Sep 9 23:15:45 2005 +0000

    Clean up some warnings. Fix some '#ifdef USEMGAHAL' issues that had caused
        the number of curl-braces to be unbalanced.

commit 000f59ff4686d1dbda673bf5a700f33615f9eb89
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Aug 26 07:10:29 2005 +0000

    Wrapping, escaped dashes, and other TeX syntax fixes throughout the
        manpage. (Branden Robinson, Debian #047)

commit b96b4242f98f7933fab7c1ffe95d04a8b602969e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Aug 21 19:00:39 2005 +0000

    Fix DRI header checks, bump to 1.1.2.2.

commit db7dde6e7db534e47f43a0b371f5474d24fcaf0f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Aug 21 01:11:46 2005 +0000

    programs/Xserver/hw/xfree86/drivers/mga/mga_bios.c #include "Xmd.h" ->
        <X11/Xmd.h>

commit 694247a948d68f711c822c2ffaa9032b3cf4255b
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:47 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit eec95d13f408f5489fe8c6b611d080c275c541fb
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Mon Aug 15 07:30:05 2005 +0000

    Egbert's 64bit fixes for mixed 32/64bit clients

commit d4b7edf86b63fb9af377bc4605381c8016a683a5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Aug 14 00:18:25 2005 +0000

    add mga_bios.c, bump version number.

commit 4c5535161d81174747920a2a3e70ec27a1bcf911
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Aug 5 23:04:33 2005 +0000

    I have resolved this by making all the "Direct rendering disabled" messages
        X_WARNING and all the "Direct rendering enabled" messages X_INFO.
        Ideally, we need to factor some of this stuff out to common code. There
        is a *LOT* of duplication among the *_dri.c files under
        programs/Xserver/hw/xfree86/drivers.
    I'm trying to clean up as much low hanging fruit as I can and got tired of
        waiting for ajax. :P

commit 4a7656a726cd6b848df65cbd9c18bbfd8e09fb47
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Aug 5 18:34:11 2005 +0000

    Now that Mesa has been merged into the tree, set the default value for
        OldDmaInit to false.

commit 22db234c995d12d3e538198b41fba0d555eb10c2
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jul 31 17:19:29 2005 +0000

    Post-merge fixups:
    - Disable building the gamma driver
    - Fix numerous Imakefiles to get header paths and subdirs right
    - Symlink client-side GLX lib source from Mesa
    - Add new shader subdirs to the Mesa core build
    - Tweak the DDX drivers to not ask for "xf86dri.h"; they don't need it,
        since they don't generate protocol, and it was breaking the build.

commit 67a25f0c366873050388928a6e712e8eed0e0e67
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:43 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 73d19fde3b2c78693298b60252e1a67e28cb708a
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 28 15:48:19 2005 +0000

    Add missing backslash, patch from Donnie Berkholz

commit 3e06876c193d945f2df0c2521a2c80ec73ce5cb8
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 27 21:23:29 2005 +0000

    Add xf86driproto to dependencies for drivers with DRI support. Patch from
        Donnie Berkholz

commit dccbba1b92e14df05aa351a28d4439ea4f625967
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 27 07:38:14 2005 +0000

    Include binding.h to fix make distcheck

commit a5f5f658a9875ea2dfb01200305dab54ce4115ac
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 26 18:29:39 2005 +0000

    symlink.sh: add binding.h from mga/HALlib add nsc/gfx add nsc/panel
        glint_driver.c: remove include of cfb8_32.h mga_driver.c: remove
        include of cfb8_32.h modularizevideodriver.sh: fix typo

commit efca764ce95094531baf14daf6e5e538cc1e9210
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 26 01:18:43 2005 +0000

    "Build system for `basename $PWD | sed s/xf86-video-//`"

commit e2f4c1e72976180cfbf2486236468e25f81ca431
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Jul 26 00:01:58 2005 +0000

    Famous last words: "This last change is so trivial, I don't even need to
        compile-test it!" This commit fixes a dumb-dumb error by me. I broke
        the multi-line X_ERROR message into multiple xf86DrvMsg calls to get
        the formating correct in the log. However, I didn't bother to put in
        the correct punctuation when I did so.

commit fdb59d2535d7d517a14f3d6489ba91f3dac3b99f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jul 25 23:14:50 2005 +0000

    PInS data on later cards (G200 and later) contains information about the
        physical bus used for the card. This allows accurate detection of PCI
        cards that use a PCI-to-PCI bridge with an AGP chip.
    Correctly disable DRI on PCI cards used with pre-3.2 DRM. Previously the
        test was performed based on PCI ID (see above for why this is wrong)
        and was done *before* the DRM version was known.
    Bug #3759: <https://bugs.freedesktop.org/show_bug.cgi?id=3759> Correctly
        determine the PLL reference frequency from the PInS data. Previously
        the wrong bit was tested. Blame the dumb programmer that used
        cut-and-paste (that would be me).

commit 6030e8206db010f65199cbf5d332d2b47cdb3580
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:29:51 2005 +0000

    Prep for modular builds by adding guarded #include "config.h" everywhere.

commit b52ca7871cb6cf7a01210ec21cd9c20e5453f4fd
Author: Kevin E Martin <kem@kem.org>
Date:   Sun Jul 3 03:28:27 2005 +0000

    Fix build issues.

commit 800579ef040cf5df4a8b09a4a8db6118c3d84980
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jul 1 16:21:35 2005 +0000

    Re-write the PInS processing code
    This patch dumps all of the old BIOS processing code from the MGA DDX. The
        new code, located in mga_bios.c, is modeled after the code in
        matroxfb_misc.c (though no actual code was copied). Basically, the BIOS
        is processed in one place, with "device independent" values stored in a
        data structure. This data is then used, without extra switch-statments,
        throughout the driver.
    In addition, this patch adds support for processing the BIOS on PowerPC
        systems. On PPC cards, the magic offset values (that give the location
        of the PInS data) is not in the BIOS. Instead the driver has to search
        the BIOS for the PInS structure signature. The patch does this and
        correctly handles byte-ordering (and data alignement) issues.
    This code has been tested on an AGP G400 on x86 and a PCI G450 on PowerPC.
    NOTE: The file mga_bios.h is also removed. The "documentation" in that file
        was moved to the file mga_PInS.txt. This file documents, as much as
        possible, the layout of the various PInS datastructure versions. The
        information in that file is 100% based on the old mga_bios.h and the
        code in matroxfb_misc.c. No additional information from Matrox
        documentation is included in that file. This just puts the information
        that was already known in one place.
    Xorg Bug: 3553

commit acadff30e40af48592e50e55a94f9c81ab856971
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:16:55 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit 784cd8fabf5a356a8ce501c635e4d09f39a17a0f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Jun 16 00:11:24 2005 +0000

    Actually commit fix for #3528

commit 89db1e50a85521189926e1e73b1ddfb4a3e12be0
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Jun 15 22:38:36 2005 +0000

    Temporary fixes to work-around the "old" MGA client-side driver in the
        tree.

commit a6e0ae358bdb26452444d916a956c07da7fe88f4
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Jun 15 20:06:43 2005 +0000

    Adds support for MGA DRM version 3.2.
    Update MGA DDX to use new features of MGA DRM ersion 3.2 to enable DRI
        support on PCI cards. Backwards compatability with older client-side
        drivers is enabled with new Device section settings. See mga.man for
        details.
    Xorg bug: 3259 Reviewed by: Eric Anholt

commit c2e50aad47ce32f528dad2abee8b7a8df363c93e
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Jun 7 23:20:02 2005 +0000

    Numerous comments, clean-ups, and refactorings for the DRI portion of the
        MGA driver.
    - Use mga_drm.h instead of mga_common.h. Due to this, all the MGA-specific
        DRM names were changed to generic versions (i.e., drmMGALock became
        drm_lock_t).
    - Merge MGADRIMapInit into MGADRIAGPInit and rename the resulting function
        MGADRIBootstrapDMA.
    - Eliminate several unnecessary drmMap calls. The server has no need to map
        MMIO space, primary DMA buffer space, secondary DMA buffer space, WARP
        microcode space, or the DRM status page.
    - Clarified which portions of the client / server DRI interface are no
        longer used.
    - Removed some unused fields from MGADRIServerPrivateRec.
    - Bump MGA_PATCHLEVEL.
    Reviewed by: Adam Jackson Reviewed by: Eric Anholt

commit f4b3779cafdbcfeaddf6f55c4b2c67a667ab5d14
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed May 18 17:47:35 2005 +0000

    Bug #3163: Create new DRIINFO_*_VERSION macros to indicate the version
        number of the DRIInfoRec, disambiguating it from the XF86DRI protocol
        version number. Modify DRIQueryVersion to return the libdri version
        number, which all DDXes were requesting implicitly. Fix the DDXes to
        check for the DRIINFO version they were compiled against.

commit 1b6392ffb792212016e710aaf27ffe36e5703d36
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:28 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit 58e70eb5ef3b0a2d4ac2950c45670a660691b1f6
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:43:09 2004 +0000

    Encoding of numerous files changed to UTF-8

commit 99eab59d167595a7deefc55b2c3226bc861a4986
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Aug 16 09:13:14 2004 +0000

    Bug #1087: Make sure all the *Weak symbols are documented in the import
        list, so the loader knows not to complain about unresolved symbols when
        an optional module isn't loaded. This typically manifests as warnings
        about fbdevHW symbols when the user isn't using the framebuffer
        console.

commit f29f2239d31232e152744321c447035ede658ce2
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Aug 13 18:24:08 2004 +0000

    Fri Aug 13 19:53:10 2004 Soeren Sandmann <sandmann@redhat.com>
    Fix for lockups on some versions of Matrox Mystique. #687, Patch from Mike
        Harris.
    Call xf86EnableDisableFBAccess though the function pointer instead of
        directly. #1041, Patch from Aaron Plattner.
    Swap the phsyical size of the screen when rotiation. #1050, Patch from
        Aaron Plattner.
    Fri Aug 13 19:47:12 2004 Soeren Sandmann <sandmann@redhat.com>
    Make HAVE_FT_BITMAP_SIZE_Y_PPEM conditional on the FreeType version instead
        of proping it. This way it will work with the monolithic version too.
        #1062, Patch by Owen Taylor.

commit d9e1c04184e016604a9c84d53970c783f0849d2a
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Aug 9 22:37:22 2004 +0000

    Fix install problem on platforms not using xorg.cf/xfree86.cf (Bug #339,
        Harold L. Hunt II, Alexander Gottwald).
    Fix crash when using X core font in zh_CN.UTF-8 locale (Bug #368, Yu Shao,
        David Dawes).
    Fix glXMakeCurrent(Dpy, None, NULL) crash (Bug #719, Adam Jackson).
    HP-PA build fix (Bug #828, Guy Martin, Paul Anderson).
    Fix SDK build for GATOS and Wacom driver (Bug #829, Bryan Stine).
    Fix attempt to read video ROM before enabling it (Bug #843, Ivan
        Kokshaysky, Mike A. Harris).
    Fix detection of primary adapter (Bug #843, Ivan Kokshaysky, Mike A.
        Harris).
    Clarify xset man page description of how to use the keyboard repeat rate
        settings (Bug #846, Mike A. Harris).
    Fix problem where print-screen key would get remapped to sys-req in certain
        keymaps, which broke GNOME printscreen functionality (Bug #847, Owen
        Taylor).
    Fix several render problems:
    - MMIO mode support
    - Hang on IGP chips
    - VT switching hang
    - 3D render corruption (Bug #922, Hui Yu).

commit 7043429714bbe667f74ead4e5f3465e27695c996
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Aug 3 08:52:16 2004 +0000

    Fix declaration of XAACachePlanarMonoStippleProc. Rename
        XAACachePlanarMonoStippleWeak to XAAGetCachePlanarMonoStipple() for
        consistency with other parts of xaa and fix forward declaration in
        xaalocal.h. Fixes last comments on Bug #962.

commit a44da97b743cf5f131bb6a7709ba72e30701be8b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Aug 3 02:44:21 2004 +0000

    Bug #962: Remove LoaderSymbol calls introduced by the dlloader work so
        DoLoadableServer NO builds work again.

commit 4db80992d38311deaefdbe5da1c41b2c14102e1a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jul 31 01:21:18 2004 +0000

    Change several LoaderSymbol calls introduced by the bug #400 patch to
    *Weak() resolver functions.

commit dd173d29d2c2bd73bea8eef018b1c6dd6b7a967c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Jul 30 20:30:52 2004 +0000

    Bug #400 (partial): Driver fixes for the dlloader. When using dlloader, all
        framebuffer formats except cfb and the overlay modes should work, and
        r128 and radeon need to be loaded from the ati driver (both issues to
        be fixed soon). Tested on i740, s3virge, mach64, tdfx, vesa, and vga
        drivers. elfloader users shouldn't be affected.

commit e12aa54892259cdfef7c0f9419b58f0b9d4163d7
Author: Egbert Eich <eich@suse.de>
Date:   Fri Jul 30 18:40:36 2004 +0000

    Fixed typo in a comment.
    Deleted bogus comment.
    Added debugging support.

commit 4f86d37662c0fe3f27a886f7947e009235103e6b
Author: Alex Deucher <agd5f@yahoo.com>
Date:   Tue Jul 27 02:55:47 2004 +0000

    - add mga_maven.h; needed for mga maven support (Ryan Underwood)

commit 9ae7f9446d049a1fad550f5f681bc557de158c10
Author: Alex Deucher <agd5f@yahoo.com>
Date:   Tue Jul 27 02:50:41 2004 +0000

    - enable maven support for TV detection, DPMS, and DDC on crtc2 on G400
        (Ryan Underwood) (http://bugs.xfree86.org/show_bug.cgi?id=1098)
    - expose I2CStart; needed for mga maven support (Ryan Underwood)

commit 8b030a847771f6b34bf38913eb6b53543f320f29
Author: Alex Deucher <agd5f@yahoo.com>
Date:   Mon Jul 26 23:14:37 2004 +0000

    - Add Radeon DynamicClocks option
    - Add small fixes and clean ups from ati's last code drop (typo_fixes,
        remove_fudge, laptop, xvfix)
    - fix possible segfault in mga_dri.c (Ryan Underwood)
    - Add Xv support to pre-nm2160 neomagic chipsets

commit e9a123f08880882a519b6eba8305d62ac375ca10
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:44:00 2004 +0000

    Merge DRI-trunk-20040613 changes in programs/Xserver/hw/xfree86/drivers,
        with the following notes:
    - Savage and Mach64 (= ati/ati*.[ch] changes) DRI not merged due to
        insecurity.
    - VIA driver converted to new drmContext and drmHandle names.
    - Radeon driver merge conflicted in many places, and MergedFB at least
        could probably use some checking at this point.

commit 1ca2311bee53e99b49a860862e4010e58c918585
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:26:24 2004 +0000

    DRI trunk-20040613 import

commit 7cbb9f870b020742a254f1e9aadd0209b1f0a876
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:23:24 2004 +0000

    DRI XFree86-4_3_99_12-merge import

commit 9dd51de1d530c6081333d30f945afb6d9208a77f
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:38:38 2004 +0000

    Merging XORG-CURRENT into trunk

commit f02d171b227e657f02a0b99a28cff7cbda21a583
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:25 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit d8072750f830173e3c9eefae8364d12190b20c26
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:19 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit ddb58a6e1be274dce96cc7c29965a45c2294c5d3
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:53 2004 +0000

    readding XFree86's cvs IDs

commit 0d050fbd293089d93bd78b58b1b454dc2ced8cdf
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:19 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 64c0cb99b62c87052374f63d3e31e2603eab2f9c
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Mon Feb 23 20:35:03 2004 +0000

    Import most of XFree86 4.4RC3. This import excludes files which have the
        new license. If we want to, later we can import 4.4RC3 again and pick
        up the files that have the new license, but for now the vendor branch
        is "pure."

commit bf37df17ecf040836ad8924a9174787d0f57ed5a
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:37 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit d3b3c858814952bc7344a4154e981851fd9bb494
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    XFree86 4.3.0.1

commit 1e444800e5935c1c5678aaa9fa3751c4519f42e4
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    Initial revision
